package LudumDare23;

import com.ixee.datastruct.Coordinate;
import java.util.*;

public class GameCamera{
	Coordinate[] samples;
	long[] timesSinceAdds;
	int sampleCounter = 0;
	long lastsampletime;
	long msPerSample;
	Coordinate currLoc;

	public GameCamera(int numSamples, Coordinate c, int ms){
		samples = new Coordinate[numSamples];
		timesSinceAdds = new long[numSamples];
		for(int i=0;i<samples.length;i++){
			timesSinceAdds[i] = System.currentTimeMillis();
			samples[i] = new Coordinate(c);
		}
		msPerSample = ms;
		//currLoc = genlocation();
		lastsampletime = System.currentTimeMillis();
	}
	public Coordinate getlocation(){
		Coordinate returnable = new Coordinate(0,0);
		for(int i=0;i<samples.length;i++){
			returnable = returnable.add(samples[(i+sampleCounter)%samples.length].mult((samples.length-i)/(samples.length*1.0)));
		}
		return returnable.mult(1.0/samples.length);
	}
	//public Coordinate genlocation(){
	//	return currLoc;
	//}
	public void offerSample(Coordinate c){
		if(System.currentTimeMillis()-lastsampletime > msPerSample){
			samples[sampleCounter] = c;
			sampleCounter++;
			sampleCounter = sampleCounter%samples.length;
			lastsampletime = System.currentTimeMillis();
			timesSinceAdds[sampleCounter] = lastsampletime;
			//currLoc = genlocation();
		}
	}
}