package LudumDare23.Menus;

import com.ixee.ui.*;
import com.ixee.ui.ogl.*;
import com.ixee.io.*;
import java.util.*;
import com.ixee.datastruct.Coordinate;
import LudumDare23.Game;
import LudumDare23.Plane;

public class MenuStart extends MenuOGL{
	static final int START = 0;
	static final int EXIT = 1;

	UIButton startGame;
	UIButton exitGame;

	public MenuStart(MenuStackOGL m){
		super(m);
		startGame = new UIButton(new Coordinate(0, 50), new Coordinate(85, 25), START, "Start game!");
		exitGame = new UIButton(new Coordinate(0, -50), new Coordinate(85, 25), EXIT, "Exit game.");

		elements.add(startGame);
		activeElements.add(startGame);
		elements.add(exitGame);
		activeElements.add(exitGame);

	}
	public void doStuff(){
		switch(mode){
			case START:
				Game.setPause(false);
				Game.ingameMenu = new MenuIngame(parent);
				Game.playSound("StartGame");
				parent.addMenu(Game.ingameMenu);
				parent.removeMenu(this);
				break;
			case EXIT:
				Game.close();
				parent.removeMenu(this);
				break;
		}
	}
}