package com.ixee.GraphIX;

import com.ixee.datastruct.Coordinate;

public class glECamera{
	Coordinate location;
	Coordinate scale;
	Coordinate view;
	double rotation;

	public glECamera(Coordinate cam, Coordinate v, double spin){
		location = cam;
		view = v;
		rotation = spin;
		scale = new Coordinate(1,1,1);
	}
	public Coordinate getLocation(){
		return location;
	}
	public Coordinate getViewBounds(){
		//This is the height and width of what the camera can see.
		return view.mult(location.getZ());
	}
	public Coordinate getScale(){
		return scale;
	}
	public double getRotation(){
		return rotation;
	}
	public void setLocation(Coordinate c){
		location = c;
	}
	public void setViewBounds(Coordinate c){
		//Sets the width/height of the camera view as it would be for z = 1.
		view = c;
	}
	public void setScale(Coordinate c){
		scale = c;
	}
	public void setRotation(double d){
		rotation = d;
	}
}