package com.ixee.io;

import javax.imageio.ImageIO;
import java.io.File;
import java.awt.image.BufferedImage;
import java.io.IOException;

public class ImageLoader{
	private ImageLoader(){
	}
	public static BufferedImage loadFile(String filename){
		if(stdio.verbose()){
			stdio.debug(new ImageLoader(), "Loading file "+filename);
		}
		BufferedImage returnable = null;
		try{
			returnable = ImageIO.read(new File(filename));
		}catch(IOException ioe){
			ioe.printStackTrace();
			stdio.log(new ImageLoader(), filename + " requested, but file was not present. (Probably.)");
		}
		return returnable;
	}
}