package com.ixee.io;

import java.util.ArrayList;

public class stdio{
	static ArrayList<String> log = new ArrayList<String>();
	private static boolean verboseness = false;
	public static void debug(Object o, String message){
		String toAdd = o.getClass().getName()+"."+Thread.currentThread().getStackTrace()[2].getMethodName()+"]: "+message;
		System.out.println(toAdd);
	}
	public static void log(Object o, String message){
		String toAdd = o.getClass().getName()+"."+Thread.currentThread().getStackTrace()[2].getMethodName()+"]: "+message;
		log.add(toAdd);
	}
	public static void debugAndLog(Object o, String message){
		String toAdd = Thread.currentThread().getStackTrace()[2].getMethodName()+"]: "+message;
		System.out.println(toAdd);
		log.add(toAdd);
	}
	public static void debug(String message){
		String toAdd = Thread.currentThread().getStackTrace()[2].getMethodName()+"]: "+message;
		System.out.println(toAdd);
	}
	public static void log(String message){
		String toAdd = Thread.currentThread().getStackTrace()[2].getMethodName()+"]: "+message;
		log.add(toAdd);
	}
	public static void debugAndLog(String message){
		debug(message);
		log(message);
	}
	public static void dumpLog(String outputFile){
		TextWriter.writeFile((String[])log.toArray(), outputFile);
	}
	public static void dumpLog(){
		dumpLog("logfileOf"+System.currentTimeMillis()+".txt");
	}
	public static void setVerbose(boolean state){
		verboseness = true;
	}
	public static ArrayList<String> getLog(){
		return log;
	}
	public static boolean verbose(){
		return verboseness;
	}
	public static void println(String s){
		System.out.println(s);
	}
	public static void print(byte[] b){
		for(int i=0;i<b.length;i++){
			System.out.print(b[i]);
			System.out.print(" ");
		}
	}
	public static void println(byte[] b){
		print(b);
		System.out.println("");
	}
}