/*
	Classes extending this don't do much other than specify what is done on pickup.
*/

package LudumDare23;

import com.ixee.GraphIX.*;
import com.ixee.datastruct.*;

public abstract class Resource extends Entity{
	glEImage resourceImage;

	public void draw(glEEngine e){
		if(resourceImage != null){
			e.drawImage(resourceImage, Game.camera.getlocation().sub(getPosition()), ((float)orientation-Math.PI/2)/2);
		}
	}
	public void update(){
		//Nothing to do!
		//So sit and do nothing.
	}
	public void collide(Entity e){
		//Game class takes care of cleaning this up if it's been picked up.
	}
	public boolean hookshotting(){
		return false;
	}
}