package com.ixee.GraphIX;

import com.ixee.datastruct.Coordinate;
import com.ixee.io.stdio;

public class glEImage{
	int ID = -1;
	Coordinate centerpoint;
	Coordinate bounds;
	public glEImage(int address, Coordinate center, Coordinate b){
		ID = address;
		centerpoint = center;
		bounds = b;
	}
	public glEImage(IxImage image, Coordinate center){
		ID = image.getAddress();
		bounds = image.getSize();
		centerpoint = center;
	}
	public int getAddress(){
		return ID;
	}
	public Coordinate getSize(){
		return bounds;
	}
	public Coordinate getCenter(){
		return centerpoint;
	}
	public boolean isVisible(glECamera cam){
		//do whatever we do to determine if this is visible to a certain camera.
		boolean returnable = false;
		Coordinate correctedLoc = centerpoint;//GIXMath.toScreenSpace(centerpoint, cam.getLocation());
		double scale = 1/cam.getLocation().getZ();
		double ourX = correctedLoc.getX();
		double cameraWidth = cam.getViewBounds().getX();
		double ourY = correctedLoc.getY();
		double cameraHeight = cam.getViewBounds().getY();
		Coordinate cameraPosition = cam.getLocation();
		double width = bounds.getX()*scale/2;
		double height = bounds.getY()*scale/2;
		//System.out.println("Location of image: "+correctedLocation+":::"+cam.getViewBounds());
		if(ourX-width <= cameraPosition.getX()+cameraWidth/2 && ourX+width >= cameraPosition.getX()-cameraWidth/2){
			if(ourY-height <= cameraPosition.getY()+cameraHeight/2 && ourY+height >= cameraPosition.getY()-cameraHeight/2){
				returnable = true;
			}
		}
		if(ourX-width <= cameraPosition.getX()-cameraWidth/2 && ourX+width >= cameraPosition.getX()+cameraWidth/2){
			if(ourY-height <= cameraPosition.getY()-cameraHeight/2 && ourY+height >= cameraPosition.getY()+cameraHeight/2){
				returnable = true;
			}
		}
		//stdio.debug(this, "Bypassing visibility test, check this code please");
		return returnable;
	}
}