package com.ixee.dataops;

public class VectOperations{
	public static double dotProd(Vect a, Vect b){
		double returnable = 0;
		for(int i=0;i<2;i++){
			returnable = returnable + a.getIndex(i)*b.getIndex(i);
		}
		return returnable;
	}
	public static Vect crossProd(Vect a, Vect b){
		double i = a.getIndex(1)*b.getIndex(2)-a.getIndex(2)*b.getIndex(1);
		double j = a.getIndex(2)*b.getIndex(0)-a.getIndex(0)*b.getIndex(2);
		double k = a.getIndex(0)*b.getIndex(1)-a.getIndex(1)*b.getIndex(0);
		return new Vect(i, j, k);
	}
	public static double angleBetween(Vect a, Vect b){
		double crossMag = crossProd(a, b).magnitude();
		double magA = a.magnitude();
		double magB = b.magnitude();
		double angle = Math.asin(crossMag/(magA*magB));
		return angle;
	}
}