package com.ixee.io;

//import ixee.io.stdio;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

public class FileLoader{
	public static byte[] loadFile(String fileName){
		byte[] returnable = null;
		File f = new File(fileName);
		if(f.exists()){
			try{
				returnable = new byte[(int)Math.round(f.length())];
				FileInputStream fis = new FileInputStream(f);
				fis.read(returnable);
				fis.close();
			}catch(IOException ioe){
				ioe.printStackTrace();
			}
		}else{
			stdio.debug(new FileLoader(), "File path given does not point to an existing file!");
			if(stdio.verbose()){
				stdio.debug(new FileLoader(), fileName);
			}
		}
		return returnable;
	}
	public static boolean exists(String fileName){
		return new File(fileName).exists();
	}
	public static int length(String fileName){
		int returnable = 0;
		File f = new File(fileName);
		if(f.exists()){
			returnable = (int)f.length();
		}
		return returnable;
	}
}