package com.ixee.io;

public class MarkedOutputStream{
	byte[] buffer = new byte[0];

	public MarkedOutputStream(){}

	public void write(byte b){
		write(new byte[]{b});
	}
	public void write(byte[] b){
		byte[] newBuffer = new byte[buffer.length+b.length];
		System.arraycopy(buffer, 0, newBuffer, 0, buffer.length);
		System.arraycopy(b, 0, newBuffer, newBuffer.length-b.length, b.length);
		buffer = newBuffer;
	}
	public byte[] getBuffer(){
		return buffer;
	}
	public int getSize(){
		return buffer.length;
	}
}