package com.ixee.phys;

import java.util.ArrayList;

import com.ixee.datastruct.Coordinate;
import com.ixee.datastruct.ArrayIsWrongSizeException;

public class PhysMath{
	public static Coordinate getVelocity(Coordinate direction, double speed){
		//direction = new Coordinate(direction.getX()/pythag3(direction), direction.getY()/pythag3(direction), direction.getZ()/pythag3(direction));
		Double[] velocities = new Double[3];
		velocities[2]=speed*Math.sin(direction.getCoords(1));//Math.toRadians(direction.getCoords(1)));
		double leftover = speed*Math.cos(direction.getCoords(1));//Math.toRadians(direction.getCoords(1)));
		velocities[1]=leftover*Math.cos(direction.getCoords(0));//Math.toRadians(direction.getCoords(0)));
		velocities[0]=leftover*Math.sin(direction.getCoords(0));//Math.toRadians(direction.getCoords(0)));
		Coordinate returnable = null;
		returnable = new Coordinate(velocities[0], velocities[1], velocities[2]);
		return returnable;
	}
	public static double pythag3(Coordinate a, Coordinate b){
		return pythag3(a.sub(b));
	}
	public static double pythag3(Coordinate c){
		double returnable = 0.0;
		returnable = Math.pow((Math.pow(c.getCoords(0), 2) + Math.pow(c.getCoords(1),2) + Math.pow(c.getCoords(2),2)), 0.5);
		return returnable;
	}
	public static double pythag(Coordinate a, Coordinate b){
		return pythag(a.sub(b));
	}
	public static double pythag(Coordinate c){
		double returnable = 0.0;
		returnable = Math.sqrt((Math.pow(c.getCoords(0), 2) + Math.pow(c.getCoords(1),2)));
		return returnable;
	}
	public static double betterPythag(Coordinate a, Coordinate b){
		double x = a.getX()-b.getX();
		double y = a.getY()-b.getY();
		return Math.sqrt(x*x+y*y);
	}

	/*public static boolean collision(SpaceObject a, SpaceObject b){
		boolean returnable = false;
		Coordinate relativeDistance = a.getAttrib(PhysObject.POSITION).sub(b.getAttrib(PhysObject.POSITION));
		double distance = pythag(relativeDistance);

		double minDist = a.getMaxRadius()+b.getMaxRadius();
		if(distance<=minDist){
			returnable = true;
		}
		return returnable;
	}*/
	public static double reduceAngle(double d){
		double returnable = d;
		while(returnable > Math.PI*2){
			returnable -= Math.PI*2;
		}
		while(returnable < 0){
			returnable += Math.PI*2;
		}
		return returnable;
	}/*
	public static boolean equals(ArrayList a, ArrayList b){
		boolean returnable = false;
		if(a == null && b == null){
			returnable = true;
		}else if(!(a==null) && !(b==null)){
			if(a.size() == b.size()){
				returnable = true;
				for(int i=0;i<b.size();i++){
					returnable = returnable & (a.get(i) == b.get(i));
				}
			}else{
				returnable = false;
			}
		}
		return returnable;
	}
	public static Coordinate convertMouseLocToGame(Coordinate mouseLoc, Coordinate screenSize){
		Coordinate returnable = mouseLoc.add(screenSize.mult(0.5));
		returnable.setY(-returnable.getY());
		return returnable;
	}*/
}