import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import com.ixee.font.*;

public class fontMaker{
	public static void main(String[] args) throws IOException{
		FontDataAccelerated f;// = FontLoader.makeAcceleratedFont();
		String fontFile = "font/glyphs.bmp";
		boolean pack = true;
		if(args.length == 2){
			pack = Boolean.parseBoolean(args[0]);
			fontFile = args[1];
		}else{
			fontFile = "font/glyphs.bmp";
			System.out.println("Using default path of ./font/glyphs.bmp");
		}
		System.out.println(args.length + " arguments");
		if(args.length == 2 || args.length == 0){
			if(pack){
				System.out.println(new File(fontFile).exists());
				f = FontLoader.loadAcceleratedFont("defaultFont.gixf");
				f.setGlyphs(ImageUtil.stupidTransparency(new File(fontFile)));
				f.setGlyphs(ImageIO.read(new File(fontFile)));
				FontLoader.writeFont(f);
			}else{
				System.out.println(fontFile);
				f = FontLoader.loadAcceleratedFont(fontFile);
				ImageIO.write(ImageUtil.stupidUntransparency(f.getImage(), f.getImage().getRGB(0,0)), "BMP", new File(fontFile.split("\\.")[0]+".bmp"));
				//ImageIO.write(f.getImage(), "bmp", new File(fontFile.split("\\.")[0]+".bmp"));
			}
		}
	}
}