import java.awt.Graphics2D;

public class MenuStackJ2D extends MenuStack{
	MenuJ2D[][] menuStack;

	public MenuStack(){
		menuStack = new MenuJ2D[1][0];
	}
	public void addMenu(MenuJ2D m){
		System.out.println(m + " is a top? "+m.topMenu());
		if(m.topMenu()){
			pushMenus();
		}
		add(m);
	}
	private void pushMenus(){
		MenuJ2D[][] menuStack2 = new MenuJ2D[menuStack.length + 1][];
		System.arraycopy(menuStack, 0, menuStack2, 1, menuStack.length);
		menuStack2[0] = new MenuJ2D[0];
		menuStack = menuStack2;

	}
	private void add(MenuJ2D m){
		MenuJ2D[] derp;
		//if(menuStack[0] == null){
		//	derp = new Menu[1];
		//	derp[0] = m;
		//}else{
		derp = new MenuJ2D[menuStack[0].length+1];
		System.arraycopy(menuStack[0], 0, derp, 1, menuStack[0].length);
		derp[0]=m;
		//}
		menuStack[0] = derp;
	}
	public MenuJ2D getMenu(){
		return menuStack[0][0];
	}
	public void removeMenu(MenuJ2D m){
		for(int i=0;i<menuStack.length;i++){
			for(int j=0;j<menuStack[i].length;j++){
				//it crashes because menuStack[0] is an array of size 0.
				if(menuStack[i][j] == m){
					remove(i, j);
				}
			}
		}
	}
	private void popMenus(){
		MenuJ2D[][] menuStack2 = new MenuJ2D[menuStack.length-1][];
		System.arraycopy(menuStack, 1, menuStack2, 0, menuStack2.length);
		menuStack = menuStack2;
	}
	public MenuJ2D[] getTopMenus(){
		return menuStack[0];
	}
	private void remove(int i, int j){
		//System.out.println("Removing menu "+menuStack[i][j]+" at "+i+", "+j);
		//i is the index of the Menu[] in which the Menu we're removing resides. j is the index of the menu to remove.
		MenuJ2D[] replacement = new MenuJ2D[menuStack[i].length-1];
		if(replacement.length != 0){
			MenuJ2D[] original = menuStack[i];
			System.arraycopy(original, 0, replacement, 0, j);
			System.arraycopy(original, j+1, replacement, j, replacement.length-j);
			menuStack[i] = replacement;
		}else{
			popMenus();
		}
	}
	public void draw(Graphics2D g){
		//for(int i=menuStack.length-1;i>=0;i--){
			for(int j=0;j<menuStack[0].length;j++){
				menuStack[0][j].draw(g);
			}
		//}
	}
	public void check(MouseListen listen){
		for(int i=0;i<menuStack[0].length;i++){
			MenuJ2D[] m = menuStack[0];
			menuStack[0][i].check(listen);
			if(m != menuStack[0]){
				listen.clear();
			}
		}
	}
}