package com.ixee.ui.ogl;

import java.awt.Color;
import com.ixee.datastruct.Coordinate;
import com.ixee.GraphIX.*;

public class UIImageButton extends UIButton{
	glEImage buttonImage;

	public UIImageButton(Coordinate position, glEImage img, int mode, String s, Color active){
		super(position, img.getSize(), mode, s, new Color(0f, 0f, 0f, 0f), active);
		buttonImage = img;
	}
	public UIImageButton(Coordinate position, glEImage img, int mode, String s){
		super(position, img.getSize(), mode, s, new Color(0f, 0f, 0f, 0f), new Color(0.4f, 0f, 0f, 0.8f));
		buttonImage = img;
	}
	public UIImageButton(Coordinate position, glEImage img, int mode){
		super(position, img.getSize(), mode, "", new Color(0f, 0f, 0f, 0f), new Color(0.4f, 0f, 0f, 0.8f));
		buttonImage = img;
	}
	public void setImage(glEImage e){
		buttonImage = e;
	}
	public void draw(glEEngine e){
		if(buttonImage != null){
			e.drawImage(buttonImage, centerpoint, 0);
		}

		e.drawString(text, centerpoint.getX(), centerpoint.getY(), textColor);
		if(focused){
			e.drawPoly(boundingPoly, focusColor);
		}
	}
}